Bug 97980 - Persistence NPE accessing CMS Folder
Persistence NPE accessing CMS Folder
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
high Severity high
: ---
: ---
Assigned To: Archit Shah
Jon Orris
:
Depends On:
Blocks: rc0blockers
  Show dependency treegraph
 
Reported: 2003-06-24 17:41 EDT by Jon Orris
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-25 15:05:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-06-24 17:41:09 EDT
Description of problem:
@32808/Postgres
Not tested on oracle yet.

To reproduce:
Create a folder in CMS.
Click on the folder link.

An unexpected error has occurred. If this continues to be a problem for you
please contact the administrators of the site quoting the following:

CCM issue report code: goodeats.boston.redhat.com:8080:61ee1662:f5fbbd54e9


-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
goodeats.boston.redhat.com:8080:61ee1662:f5fbbd54e9 -*-*-*-
-*-*-*- Message: null -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg,
application/x-shockwave-flash, */*
Accept-Encoding: gzip, deflate
Accept-Language: en-us
Connection: Keep-Alive
Cookie: JSESSIONID=afduxoiXAG46;
ad_user_login=12003!1056491656185!Wkc1N+gr0lcYEZB6RLlDNQ==
Host: goodeats.boston.redhat.com:8080
Referer: http://goodeats.boston.redhat.com:8080/ccm/articles/admin/index.jsp
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: afduxoiXAG46 (expires: -1)
ad_user_login: 12003!1056491656185!Wkc1N+gr0lcYEZB6RLlDNQ== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
java.lang.NullPointerException
	at
com.arsdigita.persistence.proto.engine.rdbms.RDBMSQuerySource.isStatic(RDBMSQuerySource.java(Compiled
Code))
	at
com.arsdigita.persistence.proto.engine.rdbms.RDBMSQuerySource.getQuery(RDBMSQuerySource.java:34)
	at com.arsdigita.persistence.Session.retrieveQuery(Session.java:666)
	at com.arsdigita.kernel.ui.DataQueryTreeIterator.(DataQueryTreeIterator.java:50)
	at
com.arsdigita.cms.ui.folder.FolderTreeModelBuilder$1.getDataQueryTreeIterator(FolderTreeModelBuilder.java:80)
	at
com.arsdigita.cms.ui.folder.FolderTreeModelBuilder$1.getChildren(FolderTreeModelBuilder.java:109)
	at com.arsdigita.bebop.Tree.generateTree(Tree.java:636)
	at com.arsdigita.bebop.Tree.generateXML(Tree.java:668)
	at com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:245)
	at com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:245)
	at com.arsdigita.bebop.SegmentedPanel$Segment.generateXML(SegmentedPanel.java:241)
	at com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:245)
	at com.arsdigita.bebop.SegmentedPanel.generateXML(SegmentedPanel.java:155)
	at com.arsdigita.toolbox.ui.LayoutPanel.section(LayoutPanel.java:88)
	at com.arsdigita.toolbox.ui.LayoutPanel.generateXML(LayoutPanel.java:72)
	at com.arsdigita.bebop.TabbedPane.generateXML(TabbedPane.java:444)
	at com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:245)
	at com.arsdigita.bebop.Page.generateXML(Page.java:639)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:737)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:267)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:71)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:275)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:257)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:337)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:134)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:127)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:102)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:204)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@726564d = {
m_page = com.arsdigita.cms.ui.ContentSectionPage@59e2564b,
m_request = com.caucho.server.http.DispatchRequest@48cdd666,
m_response = com.caucho.server.http.HttpResponse@29d85662,
m_pageState = com.arsdigita.bebop.FormData@720564d = {
m_parameterDataValues = {bbp.68.ps={20, []}, bbp.360.stack={null, []},
bbp.878.o={null, []}, bbp.791.stack={null, []}, bbp.878.d={asc, []},
bbp.19.ct={null, []}, bbp.268.sel={null, []}, bbp.749.o={null, []},
bbp.297.row={null, []}, bbp.761.mid={null, []}, bbp.878.col={null, []},
bbp.749.m={null, []}, bbp.91.sel={null, []}, bbp.74.col={null, []},
bbp.351.sel={null, []}, bbp.438.col={null, []}, bbp.90.state={null, []},
bbp.329.sel={null, []}, bbp.669.sel={null, []}, bbp.749.d={asc, []},
bbp.735.t={null, []}, bbp.864.row={null, []}, bbp.307.sel={null, []},
bbp.685.sel={null, []}, bbp.413.row={null, []}, bbp.559.sel={null, []},
bbp.170.row={null, []}, bbp.723.ch={null, []}, bbp.735.c={null, []},
bbp.202.sel={null, []}, bbp.240.sel={null, []}, bbp.580.col={null, []},
bbp.288.col={null, []}, bbp.137.row={null, []}, bbp.1000.sel={null, []},
bbp.933.sel={null, []}, bbp.62.act={null, []}, bbp.510.sel={null, []},
bbp.807.sel={null, []}, bbp.987.sel={null, []}, bbp.34.fldr={11003, []},
bbp.976.sel={null, []}, bbp.619.sel={null, []}, bbp.393.sel={null, []},
bbp.965.sel={null, []}, bbp.761.o={null, []}, bbp.761.col={null, []},
bbp.954.sel={null, []}, bbp.371.sel={null, []}, bbp.120.row={null, []},
query={null, []}, bbp.547.sel={null, []}, bbp.761.d={asc, []},
bbp.447.col={null, []}, bbp.221.stack={null, []}, bbp.v={null, []},
bbp.651.sel={null, []}, bbp.368.stack={null, []}, bbp.s={null, []},
bbp.788.sel={null, []}, bbp.530.stack={null, []}, privs_set={null, []},
bbp.480.sel={null, []}, bbp.i={{5, 6, 7, 8, 9, 10, 20, 21, 22, 23, 63, 69, 96,
106, 110, 111, 114, 115, 116, 169, 202, 213, 214, 215, 216, 217, 218, 219, 220,
221, 273, 274, 275, 276, 277, 278, 361, 362, 363, 364, 365, 366, 367, 368, 398,
399, 400, 401, 402, 403, 420, 421, 422, 423, 523, 524, 525, 526, 527, 528, 529,
530, 564, 565, 566, 567, 568, 657, 658, 659, 660, 661, 662, 663, 664, 706, 707,
708, 709, 736, 792, 793, 794, 795, 796, 797, 798, 799, 841, 842, 843, 844, 845,
846, 847, 848, 849, 850}, []}, bbp.83.sel={null, []}, bbp.749.col={null, []},
bbp.701.sel={null, []}, bbp.e={null, []}, bbp.74.row={null, []},
bbp.27.iid={null, []}, bbp.438.row={null, []}, bbp.381.sel={null, []},
bbp.400.stack={null, []}, bbp.664.stack={null, []}, bbp.3.pane={0, []},
bbp.788.state={null, []}, bbp.72.sel={1, []}, bbp.297.col={null, []},
single_type={null, []}, bbp.799.stack={null, []}, bbp.535.sel={null, []},
bbp.4.folder={11003, []}, bbp.254.sel={null, []}, bbp.920.sel={null, []},
bbp.864.col={null, []}, bbp.522.stack={null, []}, bbp.62.srcs={null, []},
bbp.1003.sel={null, []}, bbp.413.col={null, []}, bbp.580.row={null, []},
bbp.288.row={null, []}, bbp.170.col={null, []}, bbp.656.stack={null, []},
bbp.518.sel={null, []}, bbp.212.stack={null, []}, bbp.27.bid={null, []},
bbp.878.mid={null, []}, bbp.137.col={null, []}, bbp.903.sel={null, []},
bbp.729.sc={null, []}, bbp.226.sel={null, []}, bbp.770.sel={null, []},
bbp.49.fldr={null, []}, g11n.enc={UTF-8, []}, bbp.447.row={null, []},
bbp.494.sel={null, []}, bbp.63.target={null, []}, bbp.18.state={ 14 , []},
bbp.836.sel={null, []}, bbp.120.col={null, []}, bbp.593.sel={null, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@6403964b,
m_locale = en_US,
m_isTransformed = true,
m_isValid = false,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {5, 6, 7, 8, 9, 10, 20, 21, 22, 23, 63, 69, 96, 106, 110, 111,
114, 115, 116, 169, 202, 213, 214, 215, 216, 217, 218, 219, 220, 221, 273, 274,
275, 276, 277, 278, 361, 362, 363, 364, 365, 366, 367, 368, 398, 399, 400, 401,
402, 403, 420, 421, 422, 423, 523, 524, 525, 526, 527, 528, 529, 530, 564, 565,
566, 567, 568, 657, 658, 659, 660, 661, 662, 663, 664, 706, 707, 708, 709, 736,
792, 793, 794, 795, 796, 797, 798, 799, 841, 842, 843, 844, 845, 846, 847, 848,
849, 850}
}
com.arsdigita.bebop.RequestLocal:
{com.arsdigita.bebop.RequestLocal@4f9d1643=null,
com.arsdigita.bebop.RequestLocal@2aff1671=null,
com.arsdigita.bebop.Page$1@642e564b=com.arsdigita.bebop.Label@5b4cd64c,
com.arsdigita.bebop.RequestLocal@36f71671=null,
com.arsdigita.toolbox.ui.ContextBar$1@2f261671=[com.arsdigita.toolbox.ui.ContextBar$Entry@6218564c,
com.arsdigita.toolbox.ui.ContextBar$Entry@6e92164c],
com.arsdigita.bebop.RequestLocal@2b58d671=null,
com.arsdigita.bebop.RequestLocal@65b8164b=null,
com.arsdigita.bebop.RequestLocal@2f11d671=null,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@4638564b=true,
com.arsdigita.bebop.Tree$1@46e9164b=com.arsdigita.cms.ui.folder.FolderTreeModelBuilder$1@1ebcd64c,
com.arsdigita.bebop.RequestLocal@3e82d671=null,
com.arsdigita.bebop.RequestLocal@289b1671=null,
com.arsdigita.cms.ui.permissions.CMSPermissionsPane$1@2ce5d661=com.arsdigita.cms.ui.permissions.CMSUserObjectStruct@25c7d64d,
com.arsdigita.bebop.RequestLocal@4650964b=null,
com.arsdigita.bebop.RequestLocal@3436d671=null}
com.arsdigita.cms.dispatcher.section: [com.arsdigita.cms.ContentSection:{id=18}]
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@7968d64e
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@1b16d679=null}
com.arsdigita.kernel.ACSObject:11003: [com.arsdigita.cms.Folder:{id=11003}]
com.arsdigita.web.BaseApplicationServlet.application_id: 18
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/articles/admin/index.jsp?bbp.878.d=asc&bbp.v=-11003+1&bbp.749.d=asc&bbp.72.sel=1&bbp.68.ps=20&bbp.s=74&bbp.3.pane=0&bbp.34.fldr=11003&bbp.i=8rcn1bll4ep4osx3hzcbxuyknw2r5uladitfk7dpu9pnafkapp8zgza9184xkjyqn4a0bmkdtiz5bwd6j55wyrr7bz6i29h21whjl01fznzc27wpjmixc3cmizjs7wkxtk9szdh59l987dil81v6pljaukw9bw3809fq8&bbp.4.folder=14&g11n.enc=UTF-8&bbp.e=cell&bbp.761.d=asc
guruErrorReport: 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
goodeats.boston.redhat.com:8080:61ee1662:f5fbbd53f6 -*-*-*-
-*-*-*- Message: null -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg,
application/x-shockwave-flash, */*
Accept-Encoding: gzip, deflate
Accept-Language: en-us
Connection: Keep-Alive
Cookie: JSESSIONID=afduxoiXAG46;
ad_user_login=12003!1056491656185!Wkc1N+gr0lcYEZB6RLlDNQ==
Host: goodeats.boston.redhat.com:8080
Referer: http://goodeats.boston.redhat.com:8080/ccm/articles/admin/index.jsp
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: afduxoiXAG46 (expires: -1)
ad_user_login: 12003!1056491656185!Wkc1N+gr0lcYEZB6RLlDNQ== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
java.lang.NullPointerException
	at
com.arsdigita.persistence.proto.engine.rdbms.RDBMSQuerySource.isStatic(RDBMSQuerySource.java(Compiled
Code))
	at
com.arsdigita.persistence.proto.engine.rdbms.RDBMSQuerySource.getQuery(RDBMSQuerySource.java:34)
	at com.arsdigita.persistence.Session.retrieveQuery(Session.java:666)
	at com.arsdigita.kernel.ui.DataQueryTreeIterator.(DataQueryTreeIterator.java:50)
	at
com.arsdigita.cms.ui.folder.FolderTreeModelBuilder$1.getDataQueryTreeIterator(FolderTreeModelBuilder.java:80)
	at
com.arsdigita.cms.ui.folder.FolderTreeModelBuilder$1.getChildren(FolderTreeModelBuilder.java:109)
	at com.arsdigita.bebop.Tree.generateTree(Tree.java:636)
	at com.arsdigita.bebop.Tree.generateXML(Tree.java:668)
	at com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:245)
	at com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:245)
	at com.arsdigita.bebop.SegmentedPanel$Segment.generateXML(SegmentedPanel.java:241)
	at com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:245)
	at com.arsdigita.bebop.SegmentedPanel.generateXML(SegmentedPanel.java:155)
	at com.arsdigita.toolbox.ui.LayoutPanel.section(LayoutPanel.java:88)
	at com.arsdigita.toolbox.ui.LayoutPanel.generateXML(LayoutPanel.java:72)
	at com.arsdigita.bebop.TabbedPane.generateXML(TabbedPane.java:444)
	at com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:245)
	at com.arsdigita.bebop.Page.generateXML(Page.java:639)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:737)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:267)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:71)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:275)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:257)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:337)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:134)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:127)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:102)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:204)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@726564d = {
m_page = com.arsdigita.cms.ui.ContentSectionPage@59e2564b,
m_request = com.caucho.server.http.DispatchRequest@48cdd666,
m_response = com.caucho.server.http.HttpResponse@29d85662,
m_pageState = com.arsdigita.bebop.FormData@720564d = {
m_parameterDataValues = {bbp.68.ps={20, []}, bbp.360.stack={null, []},
bbp.878.o={null, []}, bbp.791.stack={null, []}, bbp.878.d={asc, []},
bbp.19.ct={null, []}, bbp.268.sel={null, []}, bbp.749.o={null, []},
bbp.297.row={null, []}, bbp.761.mid={null, []}, bbp.878.col={null, []},
bbp.749.m={null, []}, bbp.91.sel={null, []}, bbp.74.col={null, []},
bbp.351.sel={null, []}, bbp.438.col={null, []}, bbp.90.state={null, []},
bbp.329.sel={null, []}, bbp.669.sel={null, []}, bbp.749.d={asc, []},
bbp.735.t={null, []}, bbp.864.row={null, []}, bbp.307.sel={null, []},
bbp.685.sel={null, []}, bbp.413.row={null, []}, bbp.559.sel={null, []},
bbp.170.row={null, []}, bbp.723.ch={null, []}, bbp.735.c={null, []},
bbp.202.sel={null, []}, bbp.240.sel={null, []}, bbp.580.col={null, []},
bbp.288.col={null, []}, bbp.137.row={null, []}, bbp.1000.sel={null, []},
bbp.933.sel={null, []}, bbp.62.act={null, []}, bbp.510.sel={null, []},
bbp.807.sel={null, []}, bbp.987.sel={null, []}, bbp.34.fldr={11003, []},
bbp.976.sel={null, []}, bbp.619.sel={null, []}, bbp.393.sel={null, []},
bbp.965.sel={null, []}, bbp.761.o={null, []}, bbp.761.col={null, []},
bbp.954.sel={null, []}, bbp.371.sel={null, []}, bbp.120.row={null, []},
query={null, []}, bbp.547.sel={null, []}, bbp.761.d={asc, []},
bbp.447.col={null, []}, bbp.221.stack={null, []}, bbp.v={null, []},
bbp.651.sel={null, []}, bbp.368.stack={null, []}, bbp.s={null, []},
bbp.788.sel={null, []}, bbp.530.stack={null, []}, privs_set={null, []},
bbp.480.sel={null, []}, bbp.i={{5, 6, 7, 8, 9, 10, 20, 21, 22, 23, 63, 69, 96,
106, 110, 111, 114, 115, 116, 169, 202, 213, 214, 215, 216, 217, 218, 219, 220,
221, 273, 274, 275, 276, 277, 278, 361, 362, 363, 364, 365, 366, 367, 368, 398,
399, 400, 401, 402, 403, 420, 421, 422, 423, 523, 524, 525, 526, 527, 528, 529,
530, 564, 565, 566, 567, 568, 657, 658, 659, 660, 661, 662, 663, 664, 706, 707,
708, 709, 736, 792, 793, 794, 795, 796, 797, 798, 799, 841, 842, 843, 844, 845,
846, 847, 848, 849, 850}, []}, bbp.83.sel={null, []}, bbp.749.col={null, []},
bbp.701.sel={null, []}, bbp.e={null, []}, bbp.74.row={null, []},
bbp.27.iid={null, []}, bbp.438.row={null, []}, bbp.381.sel={null, []},
bbp.400.stack={null, []}, bbp.664.stack={null, []}, bbp.3.pane={0, []},
bbp.788.state={null, []}, bbp.72.sel={1, []}, bbp.297.col={null, []},
single_type={null, []}, bbp.799.stack={null, []}, bbp.535.sel={null, []},
bbp.4.folder={11003, []}, bbp.254.sel={null, []}, bbp.920.sel={null, []},
bbp.864.col={null, []}, bbp.522.stack={null, []}, bbp.62.srcs={null, []},
bbp.1003.sel={null, []}, bbp.413.col={null, []}, bbp.580.row={null, []},
bbp.288.row={null, []}, bbp.170.col={null, []}, bbp.656.stack={null, []},
bbp.518.sel={null, []}, bbp.212.stack={null, []}, bbp.27.bid={null, []},
bbp.878.mid={null, []}, bbp.137.col={null, []}, bbp.903.sel={null, []},
bbp.729.sc={null, []}, bbp.226.sel={null, []}, bbp.770.sel={null, []},
bbp.49.fldr={null, []}, g11n.enc={UTF-8, []}, bbp.447.row={null, []},
bbp.494.sel={null, []}, bbp.63.target={null, []}, bbp.18.state={ 14 , []},
bbp.836.sel={null, []}, bbp.120.col={null, []}, bbp.593.sel={null, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@6403964b,
m_locale = en_US,
m_isTransformed = true,
m_isValid = false,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {5, 6, 7, 8, 9, 10, 20, 21, 22, 23, 63, 69, 96, 106, 110, 111,
114, 115, 116, 169, 202, 213, 214, 215, 216, 217, 218, 219, 220, 221, 273, 274,
275, 276, 277, 278, 361, 362, 363, 364, 365, 366, 367, 368, 398, 399, 400, 401,
402, 403, 420, 421, 422, 423, 523, 524, 525, 526, 527, 528, 529, 530, 564, 565,
566, 567, 568, 657, 658, 659, 660, 661, 662, 663, 664, 706, 707, 708, 709, 736,
792, 793, 794, 795, 796, 797, 798, 799, 841, 842, 843, 844, 845, 846, 847, 848,
849, 850}
}
com.arsdigita.bebop.RequestLocal:
{com.arsdigita.bebop.RequestLocal@4f9d1643=null,
com.arsdigita.bebop.RequestLocal@2aff1671=null,
com.arsdigita.bebop.Page$1@642e564b=com.arsdigita.bebop.Label@5b4cd64c,
com.arsdigita.bebop.RequestLocal@36f71671=null,
com.arsdigita.toolbox.ui.ContextBar$1@2f261671=[com.arsdigita.toolbox.ui.ContextBar$Entry@6218564c,
com.arsdigita.toolbox.ui.ContextBar$Entry@6e92164c],
com.arsdigita.bebop.RequestLocal@2b58d671=null,
com.arsdigita.bebop.RequestLocal@65b8164b=null,
com.arsdigita.bebop.RequestLocal@2f11d671=null,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@4638564b=true,
com.arsdigita.bebop.Tree$1@46e9164b=com.arsdigita.cms.ui.folder.FolderTreeModelBuilder$1@1ebcd64c,
com.arsdigita.bebop.RequestLocal@3e82d671=null,
com.arsdigita.bebop.RequestLocal@289b1671=null,
com.arsdigita.cms.ui.permissions.CMSPermissionsPane$1@2ce5d661=com.arsdigita.cms.ui.permissions.CMSUserObjectStruct@25c7d64d,
com.arsdigita.bebop.RequestLocal@4650964b=null,
com.arsdigita.bebop.RequestLocal@3436d671=null}
com.arsdigita.cms.dispatcher.section: [com.arsdigita.cms.ContentSection:{id=18}]
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@7968d64e
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@1b16d679=null}
com.arsdigita.kernel.ACSObject:11003: [com.arsdigita.cms.Folder:{id=11003}]
com.arsdigita.web.BaseApplicationServlet.application_id: 18
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/articles/admin/index.jsp?bbp.878.d=asc&bbp.v=-11003+1&bbp.749.d=asc&bbp.72.sel=1&bbp.68.ps=20&bbp.s=74&bbp.3.pane=0&bbp.34.fldr=11003&bbp.i=8rcn1bll4ep4osx3hzcbxuyknw2r5uladitfk7dpu9pnafkapp8zgza9184xkjyqn4a0bmkdtiz5bwd6j55wyrr7bz6i29h21whjl01fznzc27wpjmixc3cmizjs7wkxtk9szdh59l987dil81v6pljaukw9bw3809fq8&bbp.4.folder=14&g11n.enc=UTF-8&bbp.e=cell&bbp.761.d=asc

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /__ccm__/servlet/content-section/admin/index.jsp
Query string:
app-id=18&bbp.68.ps=20&bbp.878.d=asc&bbp.749.d=asc&bbp.34.fldr=11003&bbp.761.d=asc&bbp.v=-11003+1&bbp.s=74&bbp.i=8rcn1bll4ep4osx3hzcbxuyknw2r5uladitfk7dpu9pnafkapp8zgza9184xkjyqn4a0bmkdtiz5bwd6j55wyrr7bz6i29h21whjl01fznzc27wpjmixc3cmizjs7wkxtk9szdh59l987dil81v6pljaukw9bw3809fq8&bbp.e=cell&bbp.3.pane=0&bbp.72.sel=1&bbp.4.folder=14&g11n.enc=UTF-8
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/opt/apps/oracle/product/9.2.0/lib:/lib:/usr/lib:/usr/local/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

os.arch: x86
os.name: Linux
os.version: 2.4.20-18.8
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-

guruMeditationCode: goodeats.boston.redhat.com:8080:61ee1662:f5fbbd53f6

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/articles/admin/index.jsp
Query string:
bbp.68.ps=20&bbp.878.d=asc&bbp.749.d=asc&bbp.34.fldr=11003&bbp.761.d=asc&bbp.v=-11003+1&bbp.s=74&bbp.i=8rcn1bll4ep4osx3hzcbxuyknw2r5uladitfk7dpu9pnafkapp8zgza9184xkjyqn4a0bmkdtiz5bwd6j55wyrr7bz6i29h21whjl01fznzc27wpjmixc3cmizjs7wkxtk9szdh59l987dil81v6pljaukw9bw3809fq8&bbp.e=cell&bbp.3.pane=0&bbp.72.sel=1&bbp.4.folder=14&g11n.enc=UTF-8
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/opt/apps/oracle/product/9.2.0/lib:/lib:/usr/lib:/usr/local/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

os.arch: x86
os.name: Linux
os.version: 2.4.20-18.8
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Jon Orris 2003-06-24 18:40:38 EDT
More data on this bug, which has got to be one of the wierdest I've seen in a while.

First, this time IBM JDK was kind enough to give the correct line number for 
the NPE:
RDBMSQuerySource.isStatic(RDBMSQuerySource.java:22)

Second, this occurs only on Postgres, not oracle.
Third, you can't reproduce this bug as a SWA. You need to log in as a different
user.
So, to reproduce:
1) As SWA, create a user.
2) Go to your content section and add this user to the Manager role. (may occur
for other roles, only Manager tested).
3) Log in as this new user
4) Go to the content section and create a folder.
5) Click on the link to the folder
6) Boom!

Note that the user creating the folder is not an issue. If the SWA creates a
folder and the other user tries to access it, same thing happens. 

The only thing I can guess is that for a non SWA user, additional permissions
checks occur. Perhaps something goes screwy in one of these permission queries
and borks folder access as a side effect.


Note You need to log in before you can comment on or make changes to this bug.